Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 3769 - "pump" *appending* to /etc/resolv.conf instead of *replacing* it.
"pump" *appending* to /etc/resolv.conf instead of *replacing* it.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-28 01:20 EDT by Bill Bradford
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-03 11:49:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Bradford 1999-06-28 01:20:13 EDT
I just took a look at my /etc/resolv.conf file:

[root@cs2867-221 /root]# cat /etc/resolv.conf |wc -l
   2990

I'm a Time Warner (Austin) RoadRunner cable modem
subscriber, and my machine is configured via DHCP/pump when
it boots.

Apparently every time I've rebooted or up/downed my ethernet
interface, pump has been just appending the DNS server info
to /etc/resolv.conf instead of *appending* to it.  I'm
running the updated version of pump from the errata (I've
already filed one other, more serious bug on it . . )

Here's a (very) small sample of the file:

[root@cs2867-221 /etc]# head -50 resolv.conf
search austin.rr.com rr.com
nameserver 24.93.35.65
nameserver 24.93.35.64
nameserver 24.93.35.33
nameserver 25.93.35.32
nameserver 101.116.104.48
nameserver 0.5.0.0
nameserver 180.1.0.0
nameserver 118.0.0.0
nameserver 113.4.0.0
nameserver 96.84.0.0
nameserver 0.6.0.0
nameserver 51.0.0.0
nameserver 79.4.0.0
nameserver 185.5.0.0
nameserver 78.3.0.0
nameserver 84.1.0.0
nameserver 43.5.0.0
nameserver 79.1.0.0
nameserver 67.6.0.0
nameserver 65.1.0.0
nameserver 122.6.0.0
nameserver 74.3.0.0
nameserver 52.3.0.0
nameserver 167.5.0.0
nameserver 72.6.0.0
nameserver 172.6.0.0
nameserver 194.1.0.0
nameserver 160.4.0.0
nameserver 68.5.0.0
nameserver 138.3.0.0
nameserver 120.5.0.0
nameserver 144.6.0.0
nameserver 21.2.0.0
nameserver 245.4.0.0
nameserver 79.5.0.0
nameserver 134.2.0.0
nameserver 160.1.0.0
nameserver 169.5.0.0
nameserver 147.3.0.0
nameserver 85.3.0.0
nameserver 98.2.0.0
nameserver 153.2.0.0
nameserver 85.5.0.0
nameserver 77.6.0.0
nameserver 179.2.0.0
nameserver 23.5.0.0
nameserver 104.5.0.0
nameserver 254.1.0.0
nameserver 208.5.0.0

Everything works, I just noticed my resolv.conf was a TAD
bigger than it should have been. 8-)

Thanks.

Bill
Comment 1 Anonymous 1999-06-28 01:25:59 EDT
er, that should have read "just appending the DNS server info to
/etc/resolv.conf instead of *replacing* it".  My typo.
Comment 2 Jay Turner 1999-06-28 08:33:59 EDT
This issue has been forwarded to a developer for further action.
Comment 3 Michael K. Johnson 1999-09-25 15:48:59 EDT
I think that this bug was fixed in pump-0.7.2, available from
RawHide; at least, I can no longer reproduce it in my setup.
If you could test it in yours (truncate your resolv.conf file
before testing, obviously... :-) we would certainly appreciate
it.  RawHide packages are available from
ftp://ftp.redhat.com/rawhide/
Comment 4 Erik Troan 2000-02-03 11:49:59 EST
Fixed in pump on the errata

Note You need to log in before you can comment on or make changes to this bug.